Loading...
Searching...
No Matches
gridfire::rates::weak::IsotopeGrid Struct Reference

Regular 2D grid and payloads for a single isotope (A,Z). More...

`#include <weak_types.h>`

Collaboration diagram for gridfire::rates::weak::IsotopeGrid:
[legend]

## Public Attributes

std::vector< double > | t9_axis
| Unique sorted T9 grid.
std::vector< double > | rhoYe_axis
| Unique sorted log10(rho*Ye) grid.
std::vector< WeakRatePayload > | data
| MuE axis for each (T9, log_rhoYe) pair (the table is ragged in mu_e). This is also where the payloads are stored.

## Detailed Description

Regular 2D grid and payloads for a single isotope (A,Z).

Axes are monotonically increasing per dimension. Data vector is laid out in row-major order with index computed as:

index = i_t9 * N_rhoYe + j_rhoYe

## Member Data Documentation

## data

std::vector<WeakRatePayload> gridfire::rates::weak::IsotopeGrid::data

MuE axis for each (T9, log_rhoYe) pair (the table is ragged in mu_e). This is also where the payloads are stored.

## rhoYe_axis

std::vector<double> gridfire::rates::weak::IsotopeGrid::rhoYe_axis

Unique sorted log10(rho*Ye) grid.

## t9_axis

std::vector<double> gridfire::rates::weak::IsotopeGrid::t9_axis

Unique sorted T9 grid.

The documentation for this struct was generated from the following file:

- src/include/gridfire/reaction/weak/weak_types.h